#!/bin/bash

# createlinks_gnome.sh
# script de connexion utilisateur lancé pour une session GNOME
# lancé par createlinks.sh
# 20200925

# Répertoire de base des scripts, monté sur le client
clinuxdir=/mnt/clinux

fichlog=/home/$USER/session.log

# Témoin de lancement
echo "# Début exécution createlinks_gnome.sh" >> $fichlog

#----------------------------------------
# Test d'appartenance à des groupes (AD)
#----------------------------------------
TEST_1=$(groups $USER | grep eleves)
[ -n "$TEST_1" ] && gruppo=eleves

TEST_2=$(groups $USER | grep profs)
[ -n "$TEST_2" ] && gruppo=profs

TEST_3=$(groups $USER | grep kituveu)
[ -n "$TEST_3" ] && gruppo=kituveu

#------------------------------------
# Détection du DM actif sur le client
#------------------------------------
mondm=$(cat /etc/X11/default-display-manager | cut -d '/' -f4)
if [ "$mondm" = "gdm3" ]; then
DM="gdm3"
elif [ "$mondm" = "lightdm" ]; then
DM="lightdm"
fi


#----------------------------------------
# Creation du dossier pour les liens
#----------------------------------------
if [ -d /home/$USER/link ] ; then
echo "dossier link existant"
else
mkdir /home/$USER/link
echo "Dossier link créé"
fi

#------------------------------
# Actions de base
#------------------------------
#cp $clinuxdir/persolinks/base/*.desktop /home/$USER/Bureau
#cp $clinuxdir/persolinks/base/* /home/$USER/link/

#cp $clinuxdir/persolinks/gnome/*.desktop /home/$USER/Bureau
#cp $clinuxdir/persolinks/gnome/* /home/$USER/link/

#cp $clinuxdir/persolinks/partages/*.desktop /home/$USER/Bureau
#cp $clinuxdir/persolinks/partages/* /home/$USER/link/

#------------------------------
# Actions de parc
#------------------------------
# (/etc/parc.txt contient le nom du parc assigné à l'intégration. Ce n'est pas un "vrai" parc AD!)

PARC=$(cat /etc/parc.txt)
echo "Ce client est membre du parc $PARC" >> $fichlog
#cp $clinuxdir/persolinks/$PARC/*.desktop /home/$USER/Bureau/
#cp $clinuxdir/persolinks/$PARC/* /home/$USER/link/

#-----------------------------------------------------------------------
# Actions conditionnelles de groupe (eleves ou profs, on pourrait en ajouter)
#-----------------------------------------------------------------------

if [ "$gruppo" = profs ]; then
	echo "$USER est membre du groupe profs" >> $fichlog
	# Actions "profs" à insérer ici
	#
	#
	
	# Si veyon-master est installé sur le client, on copie aussi un raccourci veyon-prof sur le bureau
	#if [ -e "/usr/bin/veyon-master" ] ; then
	#echo "veyon-master est installé sur ce poste, on copie le raccourci.\"
	#cp $clinuxdir/persolinks/autres/veyon-prof.desktop /home/$USER/Bureau/
	#cp $clinuxdir/persolinks/autres/veyon-prof.desktop /home/$USER/links/
	#else
	#echo "veyon-master n'est pas installé sur ce poste."
	#fi

elif [ "$gruppo" = eleves ]; then
	echo "$USER est membre du groupe eleves" >> $fichlog
	# Actions "eleves" à insérer ici
	#
	#

elif [ "$gruppo" = kituveu ]; then
	echo "$USER est membre du groupe kituveu" >> $fichlog
	# Actions "kituveu" à insérer ici
	#
	#
else
	echo "$USER n'est ni prof, ni eleve." >> $fichlog
fi

#----------------------------
# Actions propres au wm actif
#----------------------------
#

#-----------------------------
# Actions propres au dm actif
#-----------------------------
if [ "$DM" = "gdm3" ]; then
	# Actions "gdm3"
echo ""
elif [ "$DM" = "lightdm" ]; then
	# Actions "lightdm"
echo ""
fi

#------------------------------
# Autres scripts a lancer
#------------------------------
#sh /ce/que/tu/veux.sh

# Témoin de fin
echo "# Fin exécution createlinks_gnome.sh" >> $fichlog
exit 0

