#!/bin/bash

#--------------------------------------
# createlinks_perso.sh
# Par défaut, ce script ne fait rien.
#
# Ajoutez vos actions à lancer à la connexion de l'utilisateur dans la section "actions"
# (scripts ou commandes *utilisateur* uniquement)
#
# Ce script ne sera pas modifié par les mises à jour.
# 20200925
#--------------------------------------


# Répertoire de base des scripts, monté sur le client
clinuxdir=/mnt/clinux

# fichier de log (dans le home de l'utilisateur)
fichlog=/home/$USER/session.log

#--------------------
# Section des tests
#--------------------
#------------------------------------
# Détection du wm actif sur le client
#------------------------------------
if [ "$GDMSESSION" = "lightdm-xsession" ]; then
WM="default"
elif [ "$GDMSESSION" = "LXDE" ]; then
WM="lxde"
elif [ "$GDMSESSION" = "mate" ]; then
WM="mate"
elif [ "$GDMSESSION" = "gnome" ]; then
WM="gnome"
elif [ "$GDMSESSION" = "cinnamon" -o "$GDMSESSION" = "cinnamon2d" ]; then
WM="cinnamon"
elif [ "$GDMSESSION" = "xfce" ]; then
WM="xfce"
elif [ "$GDMSESSION" = "plasma" ]; then
WM="kde"
fi
#------------------------------------
# Détection du DM actif sur le client
#------------------------------------
mondm=$(cat /etc/X11/default-display-manager | cut -d '/' -f4)
if [ "$mondm" = "gdm3" ]; then
DM="gdm3"
# Si gdm3 est actif, on l'associe à Gnome (pour l'instant)
WM="gnome"
elif [ "$mondm" = "lightdm" ]; then
DM="lightdm"
fi
#------------------------------------
# Test d'appartenance à des groupes (AD)
#------------------------------------
TEST_1=$(groups $USER | grep eleves)
[ -n "$TEST_1" ] && gruppo=eleves

TEST_2=$(groups $USER | grep profs)
[ -n "$TEST_2" ] && gruppo=profs

TEST_3=$(groups $USER | grep kituveu)
[ -n "$TEST_3" ] && gruppo=kituveu


echo "# Début exécution createlinks_perso.sh ($WM)" >> $fichlog
#-----------------------------
# Section des actions
#-----------------------------
#-----------------------------
# Actions propres au groupe
#-----------------------------
if [ "$gruppo" = "profs" ]; then
	# Actions "profs"
echo ""
elif [ "$gruppo" = "eleves" ]; then
	# Actions "eleves"
echo ""
elif [ "$gruppo" = "kituveu" ]; then
	# Actions "kituveu"
echo ""
fi

#-----------------------------
# Actions propres au wm actif
#-----------------------------
# exemple
if [ "$WM" = "gnome" ]; then
	echo ""
	#bash /mnt/clinux/persolinks/gnome/script2.sh
fi

#-----------------------------
# Actions propres à un parc
#-----------------------------
# exemple pour un parc "cdi"
# NB : Pour que le client appartienne au parc "cdi", il faut inscrire "cdi" (sans guillemets) dans /etc/parc.txt sur le client

# lecture du parc du client
PARC=$(cat /etc/parc.txt)

# action "cdi"
if [ "$PARC" = "cdi" ]; then
	# Actions "cdi"
	#bash /mnt/clinux/persolinks/cdi/script3.sh
	echo ""
fi

#-----------------------------
# Actions propres au dm actif
#-----------------------------
if [ "$DM" = "gdm3" ]; then
	# Actions "gdm3"
echo ""
elif [ "$DM" = "lightdm" ]; then
	# Actions "lightdm"
echo ""
fi

#------------------------------------------------------------
# Copie des raccourcis de base sur le bureau de l'utilisateur
#------------------------------------------------------------
#cp $clinuxdir/persolinks/base/*.desktop /home/$USER/Bureau
#cp $clinuxdir/persolinks/base/* /home/$USER/link/

#------------------------------------------
# Autres actions a lancer (sans conditions)
#------------------------------------------
# exemple
#bash /mnt/clinux/persolinks/base/truc.sh


echo "# Fin exécution createlinks_perso.sh" >> $fichlog
exit 0

